#include "TPT.h"

void TDebug(int num, char *str)
{
	struct debug_mess   dmess;

	if(!dport)  return;

	if (dport)
	{
		dmess.num = num;
		dmess.str = str;
		dmess.port = (char *) tdevname;
		dmess.mess.mn_Node.ln_Type = NT_MESSAGE;
		dmess.mess.mn_ReplyPort = drport;
		dmess.mess.mn_Length = sizeof(struct debug_mess);

		PutMsg(dport, (struct Message *) &dmess);

		WaitPort(drport);
		GetMsg(drport);
	}

	return;
}
